<!-- tableau liste plans -->
<!-- TODO: add role display view control -->
<div class="main-container">
  <div class="table-header container-fluid d-flex ">
    <div class="table-title container-fluid d-flex align-items-center">
      <app-add-bug-popup [loggedInUser]="loggedInUser" [typesErreurs]="typesErreurs" [testPlans]="testPlans"></app-add-bug-popup>
      <h1 class="text-grey">Bugs répertoriés</h1>
    </div>
    <span class="span-link text-no-wrap d-flex align-items-center" *ngIf="loggedInUser.role?.id != 4" (click)="redirect('gestionnaire-de-bugs')"
       style="cursor: pointer;">
      Gestionnaire de Bugs</span>
  </div>

<!--Add the search bar-->
<div class="ms-4 mb-2" >
  <form class="d-flex"   >
    <input (ngModelChange)="search(key.value)" #key="ngModel" ngModel name="key" class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
  </form>
</div>


  <div class="table-container table-responsive">
    <table class="table table-striped text-grey">
      <caption>Tableau de la liste des plans</caption>
      <thead>
      <tr>
        <th scope="col" class="center">Priorité</th>
        <th scope="col" class="center">Niveau</th>
        <th class="center sm" scope="col">#</th>
        <th scope="col">Type d'erreur</th>
        <th scope="col">Projet</th>
        <th scope="col">Groupe Fonctionnalités</th>
        <th scope="col">Fonctionnalité</th>
        <th scope="col">Assigné à</th>
        <th class="center" scope="col">Date</th>
        <th class="center sm" scope="col">Aperçu</th>


      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let bug of bugs; index as index "
          id="{{ bug.id }}">
        <td class="center sm text-grey justify-content-center align-items-center" style="cursor: pointer;" *ngIf="!bug.archive">
         <span *ngIf="bug?.typeErreur?.priorite && bug?.typeErreur?.priorite == 1"
               style="background-color: red"
               class="priorite status d-flex align-items-center m-0">urgent</span>
          <span *ngIf="bug?.typeErreur?.priorite && bug?.typeErreur?.priorite == 2"
                style="background-color: orange"
                class="priorite status d-flex align-items-center m-0">important</span>
          <span *ngIf="bug?.typeErreur?.priorite && bug?.typeErreur?.priorite == 3"
                style="background-color: yellowgreen"
                class="priorite status d-flex align-items-center m-0">standard</span>
          <span *ngIf="bug?.typeErreur?.priorite && bug?.typeErreur?.priorite == 4"
                style="background-color: yellow"
                class="priorite status d-flex align-items-center m-0">optionnel</span>
        </td>
        <td class="center sm text-grey justify-content-center align-items-center" style="cursor: pointer;" *ngIf="!bug.archive">
          <span *ngIf="bug?.typeErreur?.niveau && bug?.typeErreur?.niveau == 1"
                [style.background]="bug?.typeErreur?.couleur"
                class="niveau status d-flex align-items-center m-0">critique</span>
          <span *ngIf="bug?.typeErreur?.niveau && bug?.typeErreur?.niveau == 2"
                [style.background]="bug?.typeErreur?.couleur"
                class="niveau status d-flex align-items-center m-0">modéré</span>
          <span *ngIf="bug?.typeErreur?.niveau && bug?.typeErreur?.niveau == 3"
                [style.background]="bug?.typeErreur?.couleur"
                class="niveau status d-flex align-items-center m-0">standard</span>
          <span *ngIf="bug?.typeErreur?.niveau && bug?.typeErreur?.niveau == 4"
                [style.background]="bug?.typeErreur?.couleur"
                class="niveau status d-flex align-items-center m-0">faible</span>
        </td>
        <th scope="row"
            class="center sm text-grey"
            *ngIf="!bug.archive">{{ bug.id }}</th>
        <td class="text-grey"
            style="cursor: pointer;"
            *ngIf="!bug.archive">
          {{ bug.typeErreur?.nom }}
        </td>
        <td class="text-grey"
            style="cursor: pointer;"
            *ngIf="!bug.archive" >
          {{ bug.projet_projet_id.nom }}
        </td>
        <td class="text-grey"
            style="cursor: pointer;"
            *ngIf="!bug.archive">
          <span *ngIf="bug.groupeFonctionnalites">{{ bug.groupeFonctionnalites.nom }}</span>
        </td>
        <td class="text-grey"
            style="cursor: pointer;"
            *ngIf="!bug.archive">
           {{ bug.fonctionnalite?.nom }}
        </td>
        <td class="text-grey"
            style="cursor: pointer;"
            *ngIf="!bug.archive">
          {{ bug?.assigne_a_utilisateur_id?.prenom }} {{ bug?.assigne_a_utilisateur_id?.nom }}</td>
        <td class="center text-grey"
            *ngIf="!bug.archive">{{ bug.date | date:'d/MM/yy - h:mm':'fr' }}</td>
        <td id="aperçu{{ bug.id }}}"
            (click)="onClick($event, bug)"
            style="cursor: pointer;"
            class="center sm text-grey"
            *ngIf="!bug.archive">
          <img src="../../../assets/16x16.png" alt="eye-icon">
        </td>
      </tr>
      <tr *ngIf="!bugs?.length">
        <td colspan="8" style="text-align: center">Aucun bug à afficher</td>
      </tr>
      </tbody>
    </table>
  </div>
</div>

<!-- Modal Plan-->
<div class="modal" id="myModal" [style.display]="showModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Détails du Bug :</h4>
        <button type="button" class="close" data-dismiss="modal" (click) = "hide()">&times;</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <p>Bug Id : {{ bugId }}</p>
        <p>Fonctionnalité : {{ bugNom }}</p>
        <p>Détails : {{ bugDetails }}</p>
        <p>Commentaire : {{ bugCommentaire }}</p>

        <!--
        <p>Version : {{ planProjet.version }}</p>
        -->
      </div>
      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click) = "hide()">Close</button>
      </div>
    </div>
  </div>
</div>
